"""Add nextflow version to workflow version

Revision ID: 4fba6a441927
Revises: 0a82dc419cb1
Create Date: 2024-06-19 11:48:41.987255

"""

from collections.abc import Sequence

import sqlalchemy as sa
from alembic import op

# revision identifiers, used by Alembic.
revision: str = "4fba6a441927"
down_revision: str | None = "0a82dc419cb1"
branch_labels: str | Sequence[str] | None = None
depends_on: str | Sequence[str] | None = None


def upgrade() -> None:
    # ### commands auto generated by Alembic - please adjust! ###
    op.add_column("workflow_version", sa.Column("nextflow_version", sa.String(length=8), nullable=False))
    op.get_bind().execute(sa.sql.text("UPDATE workflow_version SET nextflow_version = '23.04.5'"))
    # ### end Alembic commands ###


def downgrade() -> None:
    # ### commands auto generated by Alembic - please adjust! ###
    op.drop_column("workflow_version", "nextflow_version")
    # ### end Alembic commands ###
